Skip to content

Configure AWS VPC Site VIP Information.

POST
/api/config/namespaces/{namespace}/aws_vpc_site/{name}/set_vip_info
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/aws_vpc_site/example/set_vip_info \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example", "vip_params_per_az": [ { "az_name": "example", "inside_vip": [ "example" ], "inside_vip_cname": "example", "inside_vip_v6": [ "example" ], "outside_vip": [ "example" ], "outside_vip_cname": "example", "outside_vip_v6": [ "example" ] } ] }'

Configure AWS VPC Site VIP Information.

Examples of this operation.

namespace
required
string

Namespace Namespace for the object to be configured.

name
required
string

Name Name of the object to be configured.

Media typeapplication/json
Request to configure AWS VPC Site VIP information

Request to configure AWS VPC Site VIP information.

object
name
Name

Name of the object to be configured.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace for the object to be configured.

string
>= 6 characters <= 1024 characters
vip_params_per_az
VIP Params Per AZ

VIP Parameters per AZ.

Array<object>
Publish VIP Params Per AZ

Per AZ parameters needed to publish VIP for public cloud sites.

object
az_name
AZ Name

Name of the Availability zone.

string
<= 1024 characters
inside_vip
Inside VIP(s)

List of Inside VIPs for an AZ.

Array<string>
<= 3 items
inside_vip_cname
Inside VIP CNAME

CNAME value for the inside VIP, These are usually public cloud generated CNAME.

string
<= 256 characters
inside_vip_v6
Inside IPv6 VIP(s)

Optional list of Inside IPv6 VIPs for an AZ.

Array<string>
<= 3 items
outside_vip
Outside VIP(s)

List of Outside VIPs for an AZ Required: YES.

Array<string>
>= 1 items <= 3 items
outside_vip_cname
Outside VIP CNAME

CNAME value for the outside VIP These are usually public cloud generated CNAME.

string
<= 256 characters
outside_vip_v6
Outside IPv6 VIP(s)

Optional list of Outside IPv6 VIPs for an AZ.

Array<string>
<= 3 items
Examplegenerated
{
"name": "example",
"namespace": "example",
"vip_params_per_az": [
{
"az_name": "example",
"inside_vip": [
"example"
],
"inside_vip_cname": "example",
"inside_vip_v6": [
"example"
],
"outside_vip": [
"example"
],
"outside_vip_cname": "example",
"outside_vip_v6": [
"example"
]
}
]
}

A successful response.

Media typeapplication/json
Response to configure AWS VPC Site VIP Information
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example